curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/crypto-risk-assessment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"formId": "7a0f4229-e3de-4dfd-8f91-9b1308b2dc33",
"answers": {
"decision-making": {
"who-makes-investment-decisions": "i_decide"
}
}
}
}
'{
"cryptoRiskAssessment": {
"code": "crypto-risk-assessment",
"status": "pending",
"verification": {
"model": "uphold-verified",
"method": "manual",
"dependencies": []
},
"input": {
"formId": "7a0f4229-e3de-4dfd-8f91-9b1308b2dc33",
"answers": {
"decision-making": {
"who-makes-investment-decisions": "i_decide"
}
}
},
"hint": {
"type": "form",
"formId": "7a0f4229-e3de-4dfd-8f91-9b1308b2dc33",
"schema": {
"type": "object",
"properties": {
"decision-making": {
"type": "object",
"title": "Decision making",
"description": "Who decides what cryptoassets are bought and sold?",
"properties": {
"who-makes-investment-decisions": {
"type": "string",
"oneOf": [
{
"const": "i_decide",
"title": "I decide"
},
{
"const": "platform_decides",
"title": "Platform decides"
},
{
"const": "joint_decision",
"title": "Joint decision"
}
]
}
},
"required": [
"who-makes-investment-decisions"
]
},
"loss-tolerance": {
"type": "object",
"title": "Loss tolerance",
"description": "What is the most you could lose on a cryptoasset?",
"properties": {
"acceptable-loss": {
"type": "string",
"oneOf": [
{
"const": "full_loss_possible",
"title": "Full loss possible"
},
{
"const": "profit_only",
"title": "Profit only at risk"
},
{
"const": "capital_protected",
"title": "Capital protected"
}
]
}
},
"required": [
"acceptable-loss"
]
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"type": "Category",
"label": "Decision making",
"elements": [
{
"type": "Control",
"scope": "#/properties/decision-making/properties/who-makes-investment-decisions"
}
]
},
{
"type": "Category",
"label": "Loss tolerance",
"elements": [
{
"type": "Control",
"scope": "#/properties/loss-tolerance/properties/acceptable-loss"
}
]
}
]
}
}
}
}KYC
Update crypto risk assessment
Update the crypto risk assessment process for a user.
PATCH
/
core
/
kyc
/
processes
/
crypto-risk-assessment
curl --request PATCH \
--url https://api.enterprise.sandbox.uphold.com/core/kyc/processes/crypto-risk-assessment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"formId": "7a0f4229-e3de-4dfd-8f91-9b1308b2dc33",
"answers": {
"decision-making": {
"who-makes-investment-decisions": "i_decide"
}
}
}
}
'{
"cryptoRiskAssessment": {
"code": "crypto-risk-assessment",
"status": "pending",
"verification": {
"model": "uphold-verified",
"method": "manual",
"dependencies": []
},
"input": {
"formId": "7a0f4229-e3de-4dfd-8f91-9b1308b2dc33",
"answers": {
"decision-making": {
"who-makes-investment-decisions": "i_decide"
}
}
},
"hint": {
"type": "form",
"formId": "7a0f4229-e3de-4dfd-8f91-9b1308b2dc33",
"schema": {
"type": "object",
"properties": {
"decision-making": {
"type": "object",
"title": "Decision making",
"description": "Who decides what cryptoassets are bought and sold?",
"properties": {
"who-makes-investment-decisions": {
"type": "string",
"oneOf": [
{
"const": "i_decide",
"title": "I decide"
},
{
"const": "platform_decides",
"title": "Platform decides"
},
{
"const": "joint_decision",
"title": "Joint decision"
}
]
}
},
"required": [
"who-makes-investment-decisions"
]
},
"loss-tolerance": {
"type": "object",
"title": "Loss tolerance",
"description": "What is the most you could lose on a cryptoasset?",
"properties": {
"acceptable-loss": {
"type": "string",
"oneOf": [
{
"const": "full_loss_possible",
"title": "Full loss possible"
},
{
"const": "profit_only",
"title": "Profit only at risk"
},
{
"const": "capital_protected",
"title": "Capital protected"
}
]
}
},
"required": [
"acceptable-loss"
]
}
}
},
"uiSchema": {
"type": "Categorization",
"elements": [
{
"type": "Category",
"label": "Decision making",
"elements": [
{
"type": "Control",
"scope": "#/properties/decision-making/properties/who-makes-investment-decisions"
}
]
},
{
"type": "Category",
"label": "Loss tolerance",
"elements": [
{
"type": "Control",
"scope": "#/properties/loss-tolerance/properties/acceptable-loss"
}
]
}
]
}
}
}
}
Update crypto risk assessment is the endpoint used to submit the form assessing a user’s knowledge of cryptocurrencies and associated risks.
When calling
This process is exempt for all users residing outside of Great Britain (GB).
GET /core/kyc?detailed=cryptoRiskAssessment, you will get a hint property which includes a dynamic form schema and UI schema.
The hint property will also be available in responses of this endpoint, in case there are still questions to be answered.
For more information about forms, refer to the form-based processes section.Authorizations
OAuth 2.0 authentication.
Headers
The natural language and locale that the client prefers.
Body
application/json
Response
KYC crypto risk assessment process updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I